<?php

namespace App\Traits\Purchase;

use App\Models\PurchaseItem;
use Illuminate\Database\Eloquent\Collection;

trait WithPurchaseItems
{
    public function loadPurchaseItems(): Collection
    {
        return $this->purchaseItems = PurchaseItem::query()
            ->currentUser()
            ->where('user_id', auth()->id())
            ->whereNull('purchase_id')
            ->latest()
            ->get();
    }
}
